The requested PHP extension ext-intl ^1.1 is missing from your system. Install or enable PHP’s intl extension.エラー

ec-cubeをcomposerインストールしていたのですが、

The requested PHP extension ext-intl ^1.1 is missing from your system. Install or enable PHP’s intl extension.

というエラーが出て悩まされました。

環境は、

[root@xxx www]# php -v
PHP 7.1.26 (cli) (built: Jan  9 2019 08:02:33) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.1.0, Copyright (c) 1998-2018 Zend Technologies
[root@xxx www]# 
[root@xxx www]# httpd -v
Server version: Apache/2.4.6 (CentOS)
Server built:   Oct 19 2017 20:39:16
[root@xxx www]# 
[root@xxx www]# cat /etc/redhat-release
CentOS Linux release 7.2.1511 (Core) 

になります。

ext-intlというライブラリが必要だということで、以下のコマンドでインストールすることで解決しました。

yum install --enablerepo=remi,remi-php71 php-intl

カテゴリー: php